package com.getbubblenow.android.viewmodel;

import android.content.Context;

import com.getbubblenow.android.repository.DataRepository;
import com.getbubblenow.android.resource.StatusResource;

import androidx.lifecycle.MutableLiveData;

public class LoginViewModel extends BaseViewModel {

    @Override protected void onCleared() {
        super.onCleared();
        DataRepository.getRepositoryInstance().clearDisposable();
    }

    public static void setHostName(final Context context, final String hostname){
        DataRepository.getRepositoryInstance().setHostName(context,hostname);
    }

    public static MutableLiveData<StatusResource<byte[]>> login(final Context context, final String username, final String password){
       return DataRepository.getRepositoryInstance().login(context, username, password);
    }

    public static MutableLiveData<StatusResource<String>> getConfig(final Context context){
        return DataRepository.getRepositoryInstance().getConfig(context);
    }

    public static MutableLiveData<StatusResource<Object>> createTunnel(final Context context, final String dataConfig){
        return DataRepository.getRepositoryInstance().createTunnel(context, dataConfig);
    }

    public static boolean isHaveCertificate(final Context context){
        return DataRepository.getRepositoryInstance().isHaveCertificate(context);
    }

    public static MutableLiveData<StatusResource<String>> getSignUpSage(final Context context){
        return DataRepository.getRepositoryInstance().getSignUpSage(context);
    }
}
